# Asterisk Project : Asterisk 12 ManagerAction_GetConfig

Added by wikibot , edited by wikibot on Aug 29, 2013

# GetConfig

### Synopsis

Retrieve configuration.

### Description

This action will dump the contents of a configuration file by category and contents or optionally by specified category only.

### Syntax

    Action: GetConfig
    ActionID: <value>
    Filename: <value>
    Category: <value>

##### Arguments

- `ActionID` - ActionID for this transaction. Will be returned.
- `Filename` - Configuration filename (e.g. `foo.conf`).
- `Category` - Category in configuration file.

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown